added -avoid-version to LDFLAGS, plugins are not versioned
[strongswan.git] / src / charon / plugins / stroke / Makefile.am
index b2aeec1..79a63f2 100644 (file)
@@ -1,10 +1,22 @@
 
 INCLUDES = -I$(top_srcdir)/src/libstrongswan -I$(top_srcdir)/src/charon -I$(top_srcdir)/src/stroke
 
-AM_CFLAGS = -rdynamic -DIPSEC_CONFDIR=\"${confdir}\" -DIPSEC_PIDDIR=\"${piddir}\"
+AM_CFLAGS = \
+-rdynamic \
+-DIPSEC_CONFDIR=\"${confdir}\" \
+-DIPSEC_PIDDIR=\"${piddir}\"
 
-plugin_LTLIBRARIES = libcharon-stroke.la
+plugin_LTLIBRARIES = libstrongswan-stroke.la
 
-libcharon_stroke_la_SOURCES = stroke.h stroke.c
-libcharon_stroke_la_LDFLAGS = -module
+libstrongswan_stroke_la_SOURCES = stroke_plugin.h stroke_plugin.c \
+  stroke_socket.h stroke_socket.c \
+  stroke_config.h stroke_config.c \
+  stroke_control.h stroke_control.c \
+  stroke_cred.h stroke_cred.c \
+  stroke_ca.h stroke_ca.c \
+  stroke_attribute.h stroke_attribute.c \
+  stroke_list.h stroke_list.c \
+  stroke_shared_key.h stroke_shared_key.c
+
+libstrongswan_stroke_la_LDFLAGS = -module -avoid-version